[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [scl.org] php instructions?



Le 26/03/2015 13:49, Jozef Mlich a écrit :

> I was also testing php70 from Remi Collet [1] in Fedora 21. The php70
> apache module cannot run with simultaneously with system version of
> apache module. You can uninstall system version of php or modify httpd
> configuration files.

PHP 7 is a bit different.

All PHP 5.x provide the same version of mod_php (v5)
	Loadmodule php5_module xxx

So Apache will only load the first one (usually the one from base
package) and raise a "useful" warning "Module already loaded"

PHP 7 provides a different version (v7)
	Loadmodule php7_module xxx

In theory, apache accepts to load both, as considered as different module.

Practically, this doesn't work, Apache try to load both and segfaults

The reason why the php7_module is only loaded if php5_module is not
already loaded, done in the configuration file. But we don't have any
warning in this case.

> In my case it is "#" added to "LoadModule" lines of
> /etc/httpd/conf.modules.d/10-php.conf file

The simplest solution.
(but again... I think using FPM is better)


Remi.
> 
> 
> [1]
> http://blog.famillecollet.com/post/2015/03/25/PHP-7.0-as-Software-Collection
> 
> 
> regards,
> 


-- 
rcollet redhat com | Senior Software Engineer / BaseOS / WebStack team
GPG Key: 0x29F16A18
Fingerprint: 5A0E 6F54 D94D 5732 69EE  E3FF 614A 6905 29F1 6A18


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]